Package Details: qmc2-common-git 0.243.14.g112724d69-1

Git Clone URL: https://aur.archlinux.org/qmc2-git.git (read-only, click to copy)
Package Base: qmc2-git
Description: Qt based UNIX MAME frontend. Core files, included qCHDman GUI. (GIT version)
Upstream URL: https://qmc2.batcom-it.net
Licenses: GPL
Conflicts: qmc2
Provides: qmc2, qmc2-common-git
Submitter: sl1pkn07
Maintainer: sl1pkn07
Last Packager: sl1pkn07
Votes: 5
Popularity: 0.000000
First Submitted: 2022-11-10 19:35 (UTC)
Last Updated: 2022-11-10 19:35 (UTC)

Dependencies (15)

Sources (1)

Latest Comments

1 2 3 Next › Last »

dbermond commented on 2020-12-10 21:53 (UTC)

This patch fixes the build:

--- a/softwareimagewidget.cpp
+++ b/softwareimagewidget.cpp
@@ -3,6 +3,7 @@
 #include <QHash>
 #include <QDir>
 #include <QClipboard>
+#include <QPainterPath>

 #include "softwarelist.h"
 #include "softwaresnapshot.h"

Tuxie commented on 2020-06-20 06:37 (UTC)

softwareimagewidget.cpp: In member function 'bool SoftwareImageWidget::loadImage(const QString&, const QString&, bool)':
softwareimagewidget.cpp:315:22: error: aggregate 'QPainterPath pp' has incomplete type and cannot be defined
  315 |         QPainterPath pp;
      |                      ^~
softwareimagewidget.cpp: In member function 'void SoftwareImageWidget::drawCenteredImage(QPixmap*, QPainter*)':
softwareimagewidget.cpp:450:16: error: aggregate 'QPainterPath pp' has incomplete type and cannot be defined
  450 |   QPainterPath pp;
      |                ^~
make[1]: *** [Makefile.qmake:4321: softwareimagewidget.o] Error 1
make[1]: *** Waiting for unfinished jobs....

kerobaros commented on 2020-03-16 23:23 (UTC) (edited on 2020-03-16 23:35 (UTC) by kerobaros)

This package needs 'lrelease-qt5' to build, which is in the 'qt5-tools' package. Suggest adding to makedepends.

EDIT: also, package 'sdlmame' has renamed to 'mame'.

wcasanova commented on 2016-03-09 23:15 (UTC)

thanks work fine!

sl1pkn07 commented on 2016-03-09 17:17 (UTC)

done

wcasanova commented on 2016-03-09 15:59 (UTC)

-> build Template_Sync /tmp/yaourt-tmp-XXXX/aur-qmc2-sdlmame-svn/./PKGBUILD: línea 27: cd: qmc2/tools/template_sync: No existe el fichero o el directorio ==> ERROR: Se produjo un fallo en build().

agapito commented on 2015-09-02 10:17 (UTC)

phonon and qtwebkit are not needed to build this package.

sl1pkn07 commented on 2015-05-28 15:35 (UTC)

dropped qmc2-sdlmess and qmc2-sdlume because now merged in sdlmame

sl1pkn07 commented on 2014-02-03 05:56 (UTC)

source=("qmc2::svn://svn.code.sf.net/p/qmc2/code/trunk") is good pkgbuild 4.1 handle this like: svn co svn://svn.code.sf.net/p/qmc2/code/trunk qmc2 no need change anything greetings

gojun077 commented on 2014-02-03 04:08 (UTC)

PKGBUILD needs to be updated with new SVN address: svn://svn.code.sf.net/p/qmc2/code/trunk qmc2-code The old repo is svn://svn.code.sf.net/p/qmc2/code/trunk Ref: http://sourceforge.net/p/qmc2/code/HEAD/tree/